Subject: Re: [secdir] Adrian Farrel's Discuss on draft-ietf-ippm-rt-loss-03: (with DISCUSS and COMMENT): new (temp) draft?

From: Al Morton <[email-masked]>
Date: Sat, 12 May 2012 19:39:24 -0400

Sandy,

To thoroughly close discussion on the additional point
you raised:
>There's one question I'm not adequate to address, and I leave it to 
>the authors and ADs to address:
>
>     Although this metric MAY be applicable in
>     passive measurement as well, discussion of additional considerations
>     for the passive scenario are beyond the normative scope of this memo.
>
>Does that "MAY" mean "optional" in the 2119 sense, or 
>"might"/"could" in normal English usage sense?

We do mean it's optional in the 2119 sense, and the
additional considerations would need to be determined by the
passive measurement designer.  A draft I just reviewed
http://tools.ietf.org/html/draft-akhter-opsawg-perfmon-method-02
gives many of these considerations (for passive one-way loss).

regards,
Al

At 12:21 PM 4/12/2012, Stephen Farrell wrote:

>Thanks Sandy,
>
>I've cleared.
>
>S
>
>On 04/12/2012 05:19 PM, Murphy, Sandra wrote:
>>Dan Frost and I brought up some of the same comments, wrt the 
>>active or passive use of the metric and the suggestion of 
>>cryptographic hashes to solve security considerations.
>>
>>The latest revision satisfies me.
>>
>>There's one question I'm not adequate to address, and I leave it to 
>>the authors and ADs to address:
>>
>>     Although this metric MAY be applicable in
>>     passive measurement as well, discussion of additional considerations
>>     for the passive scenario are beyond the normative scope of this memo.
>>
>>Does that "MAY" mean "optional" in the 2119 sense, or 
>>"might"/"could" in normal English usage sense?
>>
>>It sounds like this is saying "there are considerations if this 
>>metric is used in a passive scenario, which we aren't going to 
>>discuss, but even so you have the option to use this".
>>
>>I don't know what the "additional considerations" would be.  If 
>>they are considerations that a measurement implementer should heed, 
>>that's not much of a worry.  If they are considerations that impact 
>>others, that's more of a worry.  (Section 9.2's discussion of 
>>keeping info confidential (for passive measurements) is an example 
>>of considerations that impact others.)
>>
>>So I'll leave it to those who know whether that "MAY" is OK or not.
>>
>>--Sandy
>>
>>________________________________________
>>From: Wesley Eddy [[email-masked]]
>>Sent: Wednesday, April 11, 2012 2:11 PM
>>To: Benoit Claise
>>Cc: [email-masked]; 'Al Morton'; [email-masked]; 'Samuel 
>>Weiler'; 'The IESG'; [email-masked]; 
>>[email-masked]; 'Dan Frost'; Murphy, 
>>Sandra; [email-masked]
>>Subject: Re: Adrian Farrel's Discuss on 
>>draft-ietf-ippm-rt-loss-03:     (with DISCUSS and COMMENT): new (temp) draft?
>>
>>On 4/11/2012 8:28 AM, Benoit Claise wrote:
>>>Al, Wes
>>>
>>>I want to review this draft before the IESG telechat tomorrow.
>>>However, it's getting difficult to keep track of the all the changes
>>>between
>>>      - the posted version 3
>>>      - the diff-03-04 you sent
>>>      - the extra proposal.
>>>
>>>What is the best way to proceed?
>>>      - Al, have you kept a temp version with all the changes?
>>>      - Are we shooting for "revised-ID" at the telechat? I could start my
>>>review from there
>>>      - Do we want to have a version 4 posted now?
>>>
>>>What is the best way to proceed?
>>
>>
>>I noticed Al sent a copy with updates that have been suggested
>>so far.
>>
>>Please feel free to hit the "Defer" button if you don't feel
>>there's adequate time to review this one; it looks like a busy
>>telechat agenda this week!
>>
>>--
>>Wes Eddy
>>MTI Systems